#
# spec file
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua51
%define mod_name messagepack
%define rname MessagePack
Version:        0.5.2
Release:        2.1
Summary:        MessagePack is an efficient binary serialization format
License:        MIT
Group:          Development/Libraries/Other
URL:            https://framagit.org/fperrad/lua-MessagePack
Source:         https://framagit.org/fperrad/lua-MessagePack/raw/releases/lua-messagepack-%{version}.tar.gz
BuildRequires:  lua-macros
BuildRequires:  %{flavor}-devel
Requires:       %{flavor}
BuildArch:      noarch
%lua_provides
%lua_provides -n lua-MessagePack
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
MessagePack is an efficient binary serialization format.
It lets you exchange data among multiple languages like JSON but it's faster and
smaller.
It's a pure Lua implementation, without dependency.
And it's really fast with LuaJIT.

%prep
%setup -q -n lua-%{rname}-%{version}

%build
:

%install
make PREFIX=%{_prefix} DESTDIR=%{buildroot} LUAVER=%{lua_version} install

%files
%doc CHANGES COPYRIGHT README.md
%{lua_noarchdir}

%changelog
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Fix missing dependency on lua-macros (boo#1205612)
* Tue Jul 13 2021 Matej Cepl <mcepl@suse.com>
- Upgrade to 0.5.2:
  - improve speed of unpack integers
  - fix extra bytes detection (see PR #26)
  - allows ipairs(mp.packers) (see PR #27)
  - export unpack_cursor instead of unpackers (see issue #23)
  - refactor without types_map indirection
  - remove set_number'integer'
  - better use of string.pack (Lua 5.3)
  - fix pack float with Lua 5.3
  - fix behaviour with LUA_32BITS
  - fix float/integer detection
  - refactor doc with Markdown and MkDocs
  - handle long double
  - handle NaN (like nil) as table index
* Sun Jul 11 2021 Callum Farmer <gmbr3@opensuse.org>
- Use both names in %%lua_provides
* Fri Feb 26 2021 Callum Farmer <gmbr3@opensuse.org>
- Fix lua naming
* Thu Feb 18 2021 Matej Cepl <mcepl@suse.com>
- It would be better to rename the package to MessagePack, but
  certainly RPMs must be called same as the package in OBS.
* Thu Feb 18 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%lua_provides macro for default lua versioning
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Wed Aug 16 2017 tchvatal@suse.com
- Add %%release to old package obsolete/provide as we still have
  the same version
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild syntax
* Thu Jul 13 2017 tchvatal@suse.com
- Rename to lua-messagepack to be used by all namespaced variants
* Tue Dec  8 2015 ronisbr@gmail.com
- Add documentation to the package.
* Sat Dec  5 2015 ronisbr@gmail.com
- Fix source URL.
* Wed Dec  2 2015 ronisbr@gmail.com
- Initial version based on devel:languages:lua/lua-messagepack
